Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ovs.api.datamodel
Class SharedDiskResource

`java.lang.Object
oracle.ovs.api.datamodel.VirtualDiskBase
oracle.ovs.api.datamodel.VirtualDisk
oracle.ovs.api.datamodel.SharedDiskResource`

All Implemented Interfaces:
  java.io.Serializable

Deprecated. replaced by `SharedVirtualDisk`

      public class SharedDiskResource

extends VirtualDisk

See Also:
  Serialized Form

Field Summary

Fields inherited from class oracle.ovs.api.datamodel.VirtualDisk
`attachStatus, comments, diskName, diskSize, frontEnd, hardDiskDriver, mode, priorityClass, qosEnable, sharable, status, virtualDiskId`

Fields inherited from class oracle.ovs.api.datamodel.VirtualDiskBase
`DISK_MODE_READ, DISK_MODE_WRITE, HARD_DRIVE_AUTO, HARD_DRIVE_IDE, HARD_DRIVE_SCSI, HARD_DRIVE_XVD, HARD_DRIVER_AUTO, HARD_DRIVER_IDE, HARD_DRIVER_SCSI, HARD_DRIVER_XVD, NON_SHARABLE, STATUS_ACTIVE`

Constructor Summary
`SharedDiskResource()` Deprecated.
`SharedDiskResource(oracle.ovs.datamodel.OvsVirtualDisk vd)` Deprecated.
`SharedDiskResource(java.lang.String diskName, java.lang.Long diskSize, java.lang.String comments)` Deprecated.

Method Summary
`java.lang.String` | `getcomments()` Deprecated.
`java.lang.String` | `getdiskName()` Deprecated.
`java.lang.Long` | `getdiskSize()` Deprecated.
`java.lang.Long` | `getServerPoolId()` Deprecated.
`java.lang.Long` | `getSharedDiskResourceId()` Deprecated.
`void` | `setcomments(java.lang.String comments)` Deprecated.
`void` | `setdiskName(java.lang.String diskName)` Deprecated.
`void` | `setdiskSize(java.lang.Long diskSize)` Deprecated.
`void` | `setServerPoolId(java.lang.Long serverPoolId)` Deprecated.
`void` | `setSharedDiskResourceId(java.lang.Long sharedDiskResourceId)` Deprecated.

Methods inherited from class oracle.ovs.api.datamodel.VirtualDisk
`getAttachStatus, getComments, getDiskName, getDiskSize, getFrontEnd, getHardDiskDriver, getMode, getPriorityClass, getStatus, getVirtualDiskId, isQosEnable, isSharable, setAttachStatus, setComments, setDiskName, setDiskSize, setFrontEnd, setHardDiskDriver, setMode, setPriorityClass, setQosEnable, setSharable, setStatus, setVirtualDiskId`

Methods inherited from class oracle.ovs.api.datamodel.VirtualDiskBase
`getDiskModeRead, getDiskModeWrite, getHardDriveAuto, getHardDriveIde, getHardDriveScsi, getHardDriveXvd`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SharedDiskResource

    public SharedDiskResource()

  Deprecated.

### SharedDiskResource

    public SharedDiskResource(java.lang.String diskName,
                              java.lang.Long diskSize,
                              java.lang.String comments)

  Deprecated.

### SharedDiskResource

    public SharedDiskResource(oracle.ovs.datamodel.OvsVirtualDisk vd)

  Deprecated.

Method Detail

### getSharedDiskResourceId

    public java.lang.Long getSharedDiskResourceId()

  Deprecated.

### setSharedDiskResourceId

    public void setSharedDiskResourceId(java.lang.Long sharedDiskResourceId)

  Deprecated.

### getServerPoolId

    public java.lang.Long getServerPoolId()

  Deprecated.

### setServerPoolId

    public void setServerPoolId(java.lang.Long serverPoolId)

  Deprecated.

### getdiskSize

    public java.lang.Long getdiskSize()

  Deprecated.

### setdiskSize

    public void setdiskSize(java.lang.Long diskSize)

  Deprecated.

### getdiskName

    public java.lang.String getdiskName()

  Deprecated.

### setdiskName

    public void setdiskName(java.lang.String diskName)

  Deprecated.

### getcomments

    public java.lang.String getcomments()

  Deprecated.

### setcomments

    public void setcomments(java.lang.String comments)

  Deprecated.

Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009, Oracle. All rights reserved.